#ifndef ARRAY_H
#define ARRAY_H

typedef struct intArray {
  unsigned int length;
  int *data;
} intArray;

int sizeof_str(char in[]);

void print_strArray(char in[]);

void print_intArray(intArray *in);

int check_intArray_sorted(intArray *in);

intArray int_to_intArray(int in);

int intArray_to_int(intArray *in);

#endif
